
//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM015-1C 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1351
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PG12
// SDA    PD5
// RES    PD4
// DC     PD15
// CS     PD1 


#include "delay.h"
#include "sys.h"
#include "led.h"
#include "lcd_init.h"
#include "lcd.h"
#include "pic.h"
int main(void)
{
	float t=0;
	delay_init();
	LED_Init();//
	LCD_Init();//
	LCD_Fill(0,0,LCD_W,LCD_H,RED);
	LCD_Fill(0,0,LCD_W,LCD_H,GREEN);
	LCD_Fill(0,0,LCD_W,LCD_H,BLUE);
	LCD_Fill(0,0,LCD_W,LCD_H,WHITE);
	LED0=0;
	while(1)
	{
		LCD_ShowChinese(0,0,"նƼ",RED,WHITE,16,0);
		LCD_ShowString(24,30,"LCD_W:",RED,WHITE,16,0);
		LCD_ShowIntNum(72,30,LCD_W,3,RED,WHITE,16);
		LCD_ShowString(24,50,"LCD_H:",RED,WHITE,16,0);
		LCD_ShowIntNum(72,50,LCD_H,3,RED,WHITE,16);
		LCD_ShowFloatNum1(20,80,t,4,RED,WHITE,16);
		t+=0.11;
		LCD_ShowPicture(0,0,128,128,gImage_1);
	}
}

